查看: 213|回复: 4

eve-ng 社区版在线升级异常

2

主题

44

帖子

879

积分

高级会员

Rank: 4

积分
879
eve 社区版本从70升级到110的时候,apt update 后 查看可更新的包有,


                               
登录/注册后可看大图

但是执行apt  upgrade 的时候却无可更新包,

                               
登录/注册后可看大图

目前的问题就是这样,无法在先更新,
请大神给支支招,感激不尽


点评

假如你用的是某博的70那就算了,换群论坛懒人版!!!  发表于 2020-7-17 13:44
回复

使用道具 举报

2

主题

44

帖子

879

积分

高级会员

Rank: 4

积分
879
 楼主| 发表于 2020-7-17 12:23:42 | 显示全部楼层
暂时解决办法是离线升级,但升级完了之后在修复权限的时候又报了其他错误:
/opt/unetlab/wrappers/unl_wrapper -a fixpermissions
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php/20151012/yaml.so' - liby                        aml-0.so.2: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Fatal error:  Uncaught Error: Call to undefined function yaml_parse_file() in /opt/unetlab/h                        tml/includes/init.php:93
Stack trace:
#0 /opt/unetlab/wrappers/unl_wrapper(17): require_once()
#1 {main}
  thrown in /opt/unetlab/html/includes/init.php on line 93
回复

使用道具 举报

80

主题

460

帖子

549万

积分

管理员

Rank: 9Rank: 9Rank: 9

积分
5490214

推广达人宣传达人突出贡献优秀版主论坛元老

QQ
发表于 2020-7-17 13:43:27 | 显示全部楼层
eve010 发表于 2020-7-17 12:23
暂时解决办法是离线升级,但升级完了之后在修复权限的时候又报了其他错误:
/opt/unetlab/wrappers/unl_wra ...

禁止离线升级
ping www.eve-ng.net保证联网的前提下
apt update
apt upgrade
apt dist-upgrade
升级后
dpkg -l eve-ng检查版本是否升级ok
不忘初心
回复

使用道具 举报

2

主题

44

帖子

879

积分

高级会员

Rank: 4

积分
879
 楼主| 发表于 2020-7-17 18:19:25 | 显示全部楼层
了解了解,感谢大佬!
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

Copyright   ©2015-2020  EmulatedLab  Powered by Discuz!©   
快速回复 返回列表 返回顶部